curl --request GET \
--url https://api.pingmee.co.il/conversations/{id} \
--header 'Cookie: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.pingmee.co.il/conversations/{id}"
headers = {
"Cookie": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Cookie: '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://api.pingmee.co.il/conversations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"platformCompositionKey": "<string>",
"associatedTo": "<string>",
"participantsIdentifiers": "<string>",
"phoneNumberId": "<string>",
"messageWhatsAppId": "<string>",
"customerPhoneNumberId": "<string>",
"customer": {
"profileImage": "<string>",
"customerName": "<string>",
"customerNickname": "<string>",
"description": "<string>",
"createdAt": 123,
"lastActiveAt": 123,
"email": "jsmith@example.com",
"platform": "whatsapp",
"phoneNumberId": "<string>",
"countryCode": "<string>",
"associatedTo": "<string>",
"parsedPhoneNumber": "<string>"
},
"createdAt": 123,
"updatedAt": 123,
"unreadCount": 123,
"statusCase": "open",
"answerMode": "bot",
"lastMessage": {},
"assignedTagIds": [
"<string>"
],
"assignedAgentIds": [
"<string>"
],
"lastWorkflowExecutionId": "<string>",
"lastWorkflowExecution": {},
"aiFeatures": {
"autoTranslation": {}
},
"ai": {
"tokensUsed": 123
},
"lastSendMessageFromUser": 123,
"isOptoutFromMarketingMessages": true
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Get Conversation
Get a single conversation by participants identifiers. Path id must be URL-encoded.
Authorizations
Personal access token from Pingmee Settings → Developer Tools
Business API key from Pingmee Settings → Developer Tools
Path Parameters
Conversation participants identifiers (participantsIdentifiers). Must be URL-encoded when used in the path (for example, encode # as %23).
Response
Conversation
Platform and phone/page identifier (e.g. whatsapp#).
Business or account the conversation is associated with.
Unique identifiers of the conversation participants.
Business phone number identifier.
WhatsApp message identifier.
Customer phone number identifier.
Show child attributes
Show child attributes
Unix timestamp (milliseconds) when the conversation was created.
Unix timestamp (milliseconds) when the conversation was last updated.
Number of unread messages in the conversation.
Conversation status.
open, closed, standby Conversation answer mode.
bot, manual, ai Last message exchanged in the conversation.
List of assigned conversation tag IDs.
List of assigned agent IDs.
Identifier of the last workflow execution.
Last workflow execution data.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Unix timestamp (milliseconds) of the last message sent by the user.
Indicates whether the customer opted out of marketing messages.
Was this page helpful?